<app-loading *ngIf="isLoading"></app-loading>
<div nz-col nzSpan="12" class="form-row__right">
  <mb-button *ngIf="objFunction?.create" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="addIndex()" mbButtonAvailableStyle="PRIMARY"
             mbButtonText="{{'common.button.add' | translate}}"></mb-button>
</div>

<div class="app-list index-table">
  <mb-table-merge-cell-wrap>
    <mb-table-merge-cell
      (changePageNum)="search($event)"
      [tableConfig]="tableConfig"
      [dataList]="listData"
      [isScrollHeight]="true"
      nzScrollHeight="70vh"
    ></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>

<!--Hành động-->
<ng-template #actionTmpl let-uid='uid'>
  <em nz-icon
      class='menu__item--btn'
      nz-button
      nzType='more'
      nzTheme='outline'
      nzTrigger='click'
      nz-dropdown
      [nzClickHide]='false'
      [nzDropdownMenu]='menu'
  ></em>
  <nz-dropdown-menu #menu='nzDropdownMenu'>
    <ul nz-menu class='btnListWrap'>
      <li
        nz-button
        nz-menu-item
        class='btnItem'
        (click)='settingIndex(uid)'
      >
        <div class='menu__item'>
          <em nz-icon nzType='edit' nzTheme='outline' class='iconClass'></em>
          <span>Setting Index</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        class='btnItem'
        (click)='importDocument(uid)'
      >
        <div class='menu__item'>
          <em nz-icon nzType='import' nzTheme='outline' class='iconClass'></em>
          <span>{{'common.button.uploadFile' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        class='btnItem'
        (click)='delete(uid)'
      >
        <div class='menu__item'>
          <span nz-icon nzType='delete' nzTheme='outline' class='iconClass'></span>
          <span>{{'common.button.delete' | translate}}</span>
        </div>
      </li>
    </ul>
  </nz-dropdown-menu>
</ng-template>
<!--End: Hành động-->
